> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://ordergroove.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://ordergroove.ferndocs.com/_mcp/server.

# Retrieve Eligibility Rule

GET https://restapi.ordergroove.com/retention_incentives/eligibility_rule/{public_id}/

Returns a single retention incentive eligibility rule by its unique public id

Reference: https://ordergroove.ferndocs.com/reference/rest-rpc-api/retention-incentives/eligibility-rules-retrieve

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `public_id` (string, required, default: Id of the eligibility rule)

## Response

### 200

200

- `public_id` (string, optional)
- `name` (string, optional)
- `merchant` (string, optional)
- `live` (boolean, optional, default: true)
- `min_days_since_last_claim` (integer, optional, default: 0)
- `min_subscriber_orders_since_last_claim` (integer, optional, default: 0)
- `incentive_templates` (list of RetentionIncentivesEligibilityRulePublicIdGetResponsesContentApplicationJsonSchemaIncentiveTemplatesItems, optional)

## Errors

### 404 Not Found Error

404

- `detail` (string, optional)

## Types

### RetentionIncentivesEligibilityRulePublicIdGetResponsesContentApplicationJsonSchemaIncentiveTemplatesItems

- `name` (string, optional)
- `type` (string, optional)
- `field` (string, optional)
- `discount_type` (string, optional)
- `value` (string, optional)
- `target` (string, optional)

## Examples

**Response**

```json
{
  "public_id": "a94168dc94b64cc196fa716fe88e2b32",
  "name": "Rule 1",
  "merchant": "8dd4d91f194a4a2ca46837f55375a3be",
  "live": true,
  "min_days_since_last_claim": 30,
  "min_subscriber_orders_since_last_claim": 5,
  "incentive_templates": [
    {
      "name": "Incentive template1",
      "type": "Discount",
      "field": "total_price",
      "discount_type": "Discount Percent",
      "value": "10.00",
      "target": "item"
    }
  ]
}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/retention_incentives/eligibility_rule/Id%20of%20the%20eligibility%20rule/"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/retention_incentives/eligibility_rule/Id%20of%20the%20eligibility%20rule/';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/retention_incentives/eligibility_rule/Id%20of%20the%20eligibility%20rule/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/retention_incentives/eligibility_rule/Id%20of%20the%20eligibility%20rule/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/retention_incentives/eligibility_rule/Id%20of%20the%20eligibility%20rule/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/retention_incentives/eligibility_rule/Id%20of%20the%20eligibility%20rule/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/retention_incentives/eligibility_rule/Id%20of%20the%20eligibility%20rule/");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/retention_incentives/eligibility_rule/Id%20of%20the%20eligibility%20rule/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```